Namespace
library
Image / Tag
consul:1.2.2
Content Digest
sha256:8603f0d1b2278364ecb7c11068a477b1ea648df735eda8791362063aba99656a
Details
Created

2018-09-12 12:08:18 UTC

Size

20.3 MB

Content Digest
Environment
CONSUL_VERSION

1.2.2

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0a615535caf92b95d6aefc87792c439acc9382c9f2e6e6c4b3e03cbdb6dbf780 - 10.21% (2.07 MB)

[#001] sha256:31ddaaefef8d71bb2c30e7997b9ecdc5c2ae2fe5d5cc08ab092f712854b3bce9 - 0.0% (176 Bytes)

[#002] sha256:45a452de2e7bb6604cc3e9ab65a3c610474757fa232003176cda670497c792cd - 0.01% (1.22 KB)

[#003] sha256:1e53d4239a7f261c2309b3b048582046a8aeb87805484b606c36943cceaa1843 - 89.78% (18.2 MB)

[#004] sha256:31a777099febde81925eb33e19b94215150768c9df743938c1ec4918b8de264d - 0.0% (142 Bytes)

[#005] sha256:395db2a225a446878afb08785c304722f66fa5cd2a0a7f33f4bca17020e6e1a7 - 0.0% (153 Bytes)

[#006] sha256:d71a5848411f4b29d487c2f5d951381afa73b7ab12a4ebf0f4b6a3d68f89b7a3 - 0.01% (1.64 KB)


History
2018-09-12 10:38:44 UTC

/bin/sh -c #(nop) ADD file:93897520864ded37d275998a619998bf26766ad41a3f5a9a379830983cd4a34a in /

2018-09-12 10:38:44 UTC

/bin/sh -c #(nop) COPY file:0f1d36dd7d8d53613b275660a88c5bf9b608ea8aa73a8054cb8bdbd73fd971ac in /etc/localtime

2018-09-12 10:38:44 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2018-09-12 12:08:08 UTC

/bin/sh -c #(nop) MAINTAINER Preetha Appan <preetha@hashicorp.com> (@preetapan)

2018-09-12 12:08:08 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.2.2

2018-09-12 12:08:08 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2018-09-12 12:08:09 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2018-09-12 12:08:15 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2018-09-12 12:08:16 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2018-09-12 12:08:17 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2018-09-12 12:08:17 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2018-09-12 12:08:17 UTC

/bin/sh -c #(nop) EXPOSE 8300/tcp

2018-09-12 12:08:17 UTC

/bin/sh -c #(nop) EXPOSE 8301/tcp 8301/udp 8302/tcp 8302/udp

2018-09-12 12:08:17 UTC

/bin/sh -c #(nop) EXPOSE 8500/tcp 8600/tcp 8600/udp

2018-09-12 12:08:18 UTC

/bin/sh -c #(nop) COPY file:4d7013a8316461b27eb7cb7d1002f1be6aa386a925388563c1989385ebf30c2c in /usr/local/bin/docker-entrypoint.sh

2018-09-12 12:08:18 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2018-09-12 12:08:18 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2018-09-11 22:44:42 UTC

Size

20.4 MB

Content Digest
Environment
CONSUL_VERSION

1.2.2

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:c67f3896b22c1378881cbbb9c9d1edfe881fd07f713371835ef46d93c649684d - 9.84% (2.01 MB)

[#001] sha256:51cfb00081e23c50d7ebeda15cbc03fa59faf9fbea42c24bceeda5d8dc7d8561 - 0.01% (1.22 KB)

[#002] sha256:0a92afe431c9f02d5e018102e000f18f005c03b80dea09eea04a4569b5ded2d7 - 90.14% (18.4 MB)

[#003] sha256:87262d12c26bd82b902754ef2948ee0edb66f38f1e7da5a2bebe4e01dec369fd - 0.0% (142 Bytes)

[#004] sha256:3144a0a0b402170d0f99bce305cf861909a33677868d3202047cfab923a0f800 - 0.0% (155 Bytes)

[#005] sha256:4f48afb7673fb46dc587318659d7cf6ae9a32ec368f878ab7292bb80e3b05578 - 0.01% (1.64 KB)


History
2018-09-11 22:19:38 UTC

/bin/sh -c #(nop) ADD file:49f9e47e678d868d5b023482aa8dded71276a241a665c4f8b55ca77269321b34 in /

2018-09-11 22:19:39 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2018-09-11 22:44:30 UTC

/bin/sh -c #(nop) MAINTAINER Preetha Appan <preetha@hashicorp.com> (@preetapan)

2018-09-11 22:44:30 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.2.2

2018-09-11 22:44:30 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2018-09-11 22:44:31 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2018-09-11 22:44:39 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2018-09-11 22:44:40 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2018-09-11 22:44:40 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2018-09-11 22:44:41 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2018-09-11 22:44:41 UTC

/bin/sh -c #(nop) EXPOSE 8300/tcp

2018-09-11 22:44:41 UTC

/bin/sh -c #(nop) EXPOSE 8301/tcp 8301/udp 8302/tcp 8302/udp

2018-09-11 22:44:41 UTC

/bin/sh -c #(nop) EXPOSE 8500/tcp 8600/tcp 8600/udp

2018-09-11 22:44:42 UTC

/bin/sh -c #(nop) COPY file:4d7013a8316461b27eb7cb7d1002f1be6aa386a925388563c1989385ebf30c2c in /usr/local/bin/docker-entrypoint.sh

2018-09-11 22:44:42 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2018-09-11 22:44:42 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2018-07-31 08:42:52 UTC

Size

19.5 MB

Content Digest
Environment
CONSUL_VERSION

1.2.2

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b78042c299ad99d1e646b18762d4bc22a84c4f88e5bb491ea6293a10f53ddf79 - 9.7% (1.9 MB)

[#001] sha256:6fd45b97b6c2a3ac869ae5c99e087e97bc29714b165180e06f0c9116f400f2dd - 0.0% (175 Bytes)

[#002] sha256:1af5e28580ec7c8d064ab95119e5a4a31c5e6decee4fa72ad80f6253aded6054 - 0.01% (1.22 KB)

[#003] sha256:163d462056884a4c2be0b1c8aecf3b659961723e2c0751568443ce2755e939e3 - 90.28% (17.6 MB)

[#004] sha256:efdd30461b708c49ce748fa487a66f0b5d25be3199e4bd88aaff85b0c3565d8b - 0.0% (142 Bytes)

[#005] sha256:4c2277af96cd570f3278754a3aa0f244bdd4bedd5dd62c190eb0747910b5a89d - 0.0% (154 Bytes)

[#006] sha256:692baa2eacd5350a3fe4b4e1ba88962af03dc9ffe4371195351d5acabf5d01fa - 0.01% (1.65 KB)


History
2017-12-01 18:42:42 UTC

/bin/sh -c #(nop) ADD file:a6ef3cbbb1c0e5dfc6c3e41d70fd93e548594d9cb42c067e52df46d418c10a79 in /

2017-12-01 18:42:42 UTC

/bin/sh -c #(nop) COPY file:0f1d36dd7d8d53613b275660a88c5bf9b608ea8aa73a8054cb8bdbd73fd971ac in /etc/localtime

2017-12-01 18:42:43 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2018-05-12 08:39:33 UTC

/bin/sh -c #(nop) MAINTAINER Preetha Appan <preetha@hashicorp.com> (@preetapan)

2018-07-31 08:42:15 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.2.2

2018-07-31 08:42:16 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2018-07-31 08:42:18 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2018-07-31 08:42:32 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2018-07-31 08:42:45 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2018-07-31 08:42:47 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2018-07-31 08:42:48 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2018-07-31 08:42:49 UTC

/bin/sh -c #(nop) EXPOSE 8300/tcp

2018-07-31 08:42:49 UTC

/bin/sh -c #(nop) EXPOSE 8301/tcp 8301/udp 8302/tcp 8302/udp

2018-07-31 08:42:50 UTC

/bin/sh -c #(nop) EXPOSE 8500/tcp 8600/tcp 8600/udp

2018-07-31 08:42:51 UTC

/bin/sh -c #(nop) COPY file:4d7013a8316461b27eb7cb7d1002f1be6aa386a925388563c1989385ebf30c2c in /usr/local/bin/docker-entrypoint.sh

2018-07-31 08:42:51 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2018-07-31 08:42:52 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]